> ## Documentation Index
> Fetch the complete documentation index at: https://nango.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Atlassian Service Account (API Token)

> Integrate your application with Atlassian APIs using service account API tokens

## 🚀 Quickstart

Connect to Atlassian using service account API tokens with Nango and see data flow in 2 minutes.

**1. Create an integration**

In Nango ([free signup](https://app.nango.dev)), go to [Integrations](https://app.nango.dev/dev/integrations) -> *Configure New Integration* -> *Atlassian Service Account (API Token)*.

**2. Authorize Atlassian Service Account**

Go to [Connections](https://app.nango.dev/dev/connections) -> *Add Test Connection* -> *Authorize*, then enter your Cloud ID, Service Account Email, and API Token. Later, you'll let your users do the same directly from your app.

**3. Call the Atlassian API**

Let's make your first request to the Atlassian API (retrieve your user information). Replace the placeholders below with your [Environment API key](https://nango.dev/docs/reference/backend/http-api/api-keys.md), [integration ID](https://app.nango.dev/dev/integrations), and [connection ID](https://app.nango.dev/dev/connections):

> [tab] cURL
>
> ```bash theme={null}
> curl "https://api.nango.dev/proxy/ex/jira/{connectionConfig.cloudId}/rest/api/3/myself" \
>   -H "Authorization: Bearer <NANGO-API-KEY>" \
>   -H "Provider-Config-Key: <INTEGRATION-ID>" \
>   -H "Connection-Id: <CONNECTION-ID>"
> ```

> [tab] Node
>
> Install Nango's backend SDK with `npm i @nangohq/node`. Then run:
>
> ```typescript theme={null}
> import { Nango } from '@nangohq/node';
>
> const nango = new Nango({ apiKey: '<NANGO-API-KEY>' });
>
> const res = await nango.get({
>     // https://developer.atlassian.com/cloud/jira/platform/rest/v3/api-group-myself/#api-rest-api-3-myself-get
>     endpoint: '/ex/jira/{connectionConfig.cloudId}/rest/api/3/myself',
>     providerConfigKey: '<INTEGRATION-ID>',
>     connectionId: '<CONNECTION-ID>'
> });
>
> console.log(JSON.stringify(res.data, null, 2));
> ```

Or fetch credentials with the [Node SDK](https://nango.dev/docs/reference/backend/backend-sdk/node.md#get-a-connection-with-credentials) or [API](https://nango.dev/docs/reference/backend/http-api/connections/get.md).

> [!NOTE]
>
> The `{connectionConfig.cloudId}` in the URL represents the cloudId. You can get this value from your connection configuration after creating the connection.

✅ You're connected! Check the [Logs](https://app.nango.dev/dev/logs) tab in Nango to inspect requests.

**4. Implement Nango in your app**

Follow our [Auth implementation guide](https://nango.dev/docs/guides/primitives/auth.md) to integrate Nango in your app.

To obtain your own credentials, follow the setup guide linked below.

## 📚 Atlassian Service Account (API Token) Integration Guides

Nango-maintained guides for common use cases.

* [How do I link my account?](https://nango.dev/docs/api-integrations/atlassian-service-account-api-token/connect)\
  Connect your Atlassian service account using API tokens

Official docs: [Atlassian API Token Documentation](https://support.atlassian.com/user-management/docs/manage-api-tokens-for-service-accounts/)  | [Jira REST API v3 Documentation](https://developer.atlassian.com/cloud/jira/platform/rest/v3/intro/) | [Confluence REST API Documentation](https://developer.atlassian.com/cloud/confluence/rest/intro/)

## 🧩 Pre-built syncs & tools for Atlassian Service Account (API Token)

Explore Nango-provided tools in your dashboard. Extend and customize them to fit your needs.

*No pre-built syncs or tools available yet.*

> [!TIP]
>
> Not seeing the integration you need? [Build your own](https://nango.dev/docs/guides/functions/functions-guide.md) independently.

***


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.